Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.listen
Class JDBCWildcardMatch

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.listen.WildcardMatch
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.listen.JDBCWildcardMatch

All Implemented Interfaces:
  FilterListener, JDBCFilterListener

public class JDBCWildcardMatch
extends WildcardMatch
implements JDBCFilterListener

Tests if the target matches the wildcard expression given in the argument. The wildcard '?' is used to represent any single character, while '*' is used to represent any series of 0 or more characters.

Examples:
`"address.street.ext:wildcardMatch (\"?ain*reet\")"`

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.query.listen.WildcardMatch
`TAG`

Constructor Summary
`JDBCWildcardMatch()`

Method Summary
`void` | `where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue target, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue arg, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm)` Append the SQL for this expression or value.

Methods inherited from class com.solarmetric.rd.kodo.query.listen.WildcardMatch
`evaluate, expectsArgument, expectsTarget, getTag, isExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.query.FilterListener
`evaluate, expectsArgument, expectsTarget, getTag, isExpression`

Constructor Detail

### JDBCWildcardMatch

    public JDBCWildcardMatch()

Method Detail

### where

    public void where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                      com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue target,
                      com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue arg,
                      com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping type,
                      com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm)

  Description copied from interface: `JDBCFilterListener`
  Append the SQL for this expression or value.

  Specified by:
    `where` in interface `JDBCFilterListener`
  Parameters:
    `sql` - the SQL buffer to append to
    `target` - the target to act on; this will usually be a `SQLPath`, but depending on usage could also be other values; it will be null if the listener doesn't expect a target
    `arg` - the value of the argument given in the filter; this will usually be a `Constant`, but will be null if this listener doesn't expect an argument
    `type` - the class mapping for the query's candidate class
    `pm` - the persistence manager that owns the query

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.